store-jefgas-purchase-orders-get-many

Source

  • Repository: jef-systems/jef-store-backend

  • Source Run ID: 25333167796

  • Source SHA: 69cb846339fa14db005aec45414a4a94ec2a821e

  • Module: store

  • Documentation Scope: get

  • Lambda: jef-store-get-26

Endpoint

  • API Name: jef-store

  • Action Name: get

  • Method: GET

  • Scope Label: GET

  • Resource Path: /store-jefgas-purchase-orders-get-many

  • Complete Endpoint: https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-jefgas-purchase-orders-get-many

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-26

  • curl payload mode: query_string

API Gateway Description

Function: jef-store-get-26
API Name: jef-store
Action: get
Method: GET
Resource Path: /store-jefgas-purchase-orders-get-many

Table:
- table: jef-store-jefgas-purchase-orders
- operation: get-many

Payload Schema:
- gsi_1_pk: entity_number

Payload Example:
- gsi_1_pk: 1001

Response Schema:
- exists: boolean
- message: string
- items: [{"purchase_order_number":"string","entity_number":"string","supplier":"string","fuel_type":"string","quantity_text":"string","notes":"string","status":"string","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}]

Request Payload

{
  "gsi_1_pk": "entity_number"
}

Response

{
  "exists": "boolean",
  "message": "string",
  "items": "[{\"purchase_order_number\":\"string\",\"entity_number\":\"string\",\"supplier\":\"string\",\"fuel_type\":\"string\",\"quantity_text\":\"string\",\"notes\":\"string\",\"status\":\"string\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}]"
}

CMD curl

curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-jefgas-purchase-orders-get-many?gsi_1_pk=1001"

PowerShell curl

curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-jefgas-purchase-orders-get-many?gsi_1_pk=1001"